#112 Strange line breaks with 2048 bit encryption

open
None
5
2006-06-26
2006-06-17
dsotis
No

After increasing the encryption to 2048 bits my frined
and I started to get strange line breaks:

(13:20:59) wookie_x: I've been in more movies than that
damn cat and I don't have an IMDB
(13:21:00) wookie_x: listing!
13:22
(13:29:05) wookie_x: You know what I think it is? I
think it's the encryption that's doing
(13:29:06) wookie_x: it.
(13:29:38) moosoftdev: Is mine breaking up like that
when I type a long line of text?
(13:31:52) wookie_x: I'm not seeing yours break up, but
I'm also not seeing you go more than one
(13:31:52) wookie_x: line.
13:32
(13:32:57) moosoftdev: Hmm... let me try typing more
than one line. I'll just keep typing and typing
without saying anything. It's like how the president gives
(13:32:57) moosoftdev: speeches. Full of words and
sounds but meaning nothing.
(13:33:26) wookie_x: Yup. That one actually split up.
(13:34:01) moosoftdev: yeah I saw it

Discussion

  • Bill Tompkins

    Bill Tompkins - 2006-06-25

    Logged In: YES
    user_id=21203

    Yes, this is a "feature" of Gaim-Encryption, and is somewhat
    protocol-dependent: it is worse on Yahoo, for example, than
    the other messengers, because Yahoo has (at times) had a
    shorter maximum message length than the other protocols.

    The reason for the message split is that the encryption
    increases the size of the message, and the size of the extra
    padding increases with key size. In order to avoid having
    the (padded, and thus overly-large) message get rejected by
    the server, the plugin splits up the line that you typed
    into multiple lines.

    Yeah... it is annoying, but with the current
    protocol/padding, the alternative is to simply have the
    message be rejected by the server as too long.

     
  • Bill Tompkins

    Bill Tompkins - 2006-06-25
    • assigned_to: nobody --> obobo
    • status: open --> closed-wont-fix
     
  • dsotis

    dsotis - 2006-06-25

    Logged In: YES
    user_id=345747

    I would like to suggest then that lines be split more
    intelligently. So that they try not to split URLS for example.

     
  • Bill Tompkins

    Bill Tompkins - 2006-06-26
    • status: closed-wont-fix --> open
     
  • Bill Tompkins

    Bill Tompkins - 2006-06-26

    Logged In: YES
    user_id=21203

    Good point. The plugin is actually using Gaim's line-break
    algorithm, which, as you say, doesn't do a great job of
    keeping URLs on the same line.

    I'll put that on my to-do list.

    -Bill

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks